"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Joi = require("joi");
var crypt_1 = require("./crypt");
var validate_1 = require("./validate");
var login_request_1 = require("./login.request");
exports.RegisterRequestSchema = {
    login: login_request_1.LoginSchema,
    password: Joi.object().label('Password').keys(crypt_1.CryptDataSchema),
};
exports.validateRegisterRequest = function (json) {
    return validate_1.validate(Joi.object().keys(exports.RegisterRequestSchema), json);
};
